Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706874 - net-analyzer/rain-1.2.9_beta1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/rain-1.2.9_beta1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:28 UTC by Toralf Förster
Modified: 2020-01-31 14:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.84 KB, text/plain)
2020-01-28 18:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,115.81 KB, text/plain)
2020-01-28 18:28 UTC, Toralf Förster
Details
environment (environment,85.39 KB, text/plain)
2020-01-28 18:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.75 KB, application/x-bzip)
2020-01-28 18:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.54 KB, application/x-bzip)
2020-01-28 18:28 UTC, Toralf Förster
Details
net-analyzer:rain-1.2.9_beta1:20200128-054135.log (net-analyzer:rain-1.2.9_beta1:20200128-054135.log,102.74 KB, text/plain)
2020-01-28 18:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.46 KB, application/x-bzip)
2020-01-28 18:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:28:41 UTC
source/rain_main.c:463:10: warning: ‘raw_socket’ may be used uninitialized in this function [-Wmaybe-uninitialized]
  463 |       if(igmp_shower(raw_socket, &source, &target, pkt, pktigmp) < 0)
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall  -I./include -DHAVE_CONFIG_H -D_GNU_SOURCE -DRAIN_PLATFORM=\"x86_64-pc-linux-gnu\" -DRAIN_VERSION=\""1.2.9beta1"\" -DRAIN_URL=\"http://www.tenebrous.com/rain/\" -Wl,-O1 -Wl,--as-needed -o rain rain_command_line.o rain_defaults.o rain_die.o rain_icmp.o rain_igmp.o rain_inet_common.o rain_main.o rain_mem.o rain_resolv.o rain_services.o rain_signal.o rain_string.o rain_tcp.o rain_udp.o
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: rain_defaults.o:(.bss+0x2eb88): multiple definition of `packetsize'; rain_command_line.o:(.bss+0x2eb88): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: rain_defaults.o:(.bss+0x2eb64): multiple definition of `verbose'; rain_command_line.o:(.bss+0x2eb64): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 03:26:40 +0000

emerge -qpvO net-analyzer/rain
[ebuild  N    ] net-analyzer/rain-1.2.9_beta1
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:28:45 UTC
Created attachment 606270 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:28:48 UTC
Created attachment 606272 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:28:50 UTC
Created attachment 606274 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:28:54 UTC
Created attachment 606276 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:28:57 UTC
Created attachment 606278 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:29:00 UTC
Created attachment 606280 [details]
net-analyzer:rain-1.2.9_beta1:20200128-054135.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:29:02 UTC
Created attachment 606282 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 14:09:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71d53b4138dec0178ad8838b3e89f2ceaf9cba08

commit 71d53b4138dec0178ad8838b3e89f2ceaf9cba08
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 14:08:22 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 14:09:07 +0000

    net-analyzer/rain: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706874
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../rain/files/rain-1.2.9_beta1-die-on-error.patch |  40 ++++++++
 .../rain/files/rain-1.2.9_beta1-fno-common.patch   | 111 +++++++++++++++++++++
 net-analyzer/rain/rain-1.2.9_beta1-r1.ebuild       |  37 +++++++
 3 files changed, 188 insertions(+)